Package org.apache.storm.topology

# Interface IRichBolt

All Superinterfaces:
  `IBolt`, `IComponent`, `Serializable`

All Known Implementing Classes:
  `AbstractHdfsBolt`, `AbstractJdbcBolt`, `AbstractRedisBolt`, `AvroGenericRecordBolt`, `BaseRichBolt`, `BaseStatefulBoltExecutor`, `BaseTickTupleAwareRichBolt`, `BasicBoltExecutor`, `BatchBoltExecutor`, `BlobStoreAPIWordCountTopology.SplitSentence`, `BoltTracker`, `CheckpointTupleForwarder`, `ClojureBolt`, `CoordinatedBolt`, `DevNullBolt`, `ExclamationTopology.ExclamationBolt`, `ExclamationTopology.ExclamationBolt`, `FluxShellBolt`, `GenericBolt`, `HdfsBolt`, `HdfsFileTopology.MyBolt`, `HdfsSpoutTopology.ConstBolt`, `IdBolt`, `IdentityBolt`, `JdbcInsertBolt`, `JdbcLookupBolt`, `JmsBolt`, `JoinResult`, `KafkaBolt`, `KafkaSpoutTestBolt`, `KeyedFairBolt`, `LoadBolt`, `LookupWordCount.PrintWordTotalCountBolt`, `MultipleLoggerTopology.ExclamationLoggingBolt`, `MultiThreadWordCountTopology.MultiThreadedSplitSentence`, `PersistentWindowedBoltExecutor`, `PythonShellMetricsBolt`, `RedisFilterBolt`, `RedisLookupBolt`, `RedisStoreBolt`, `ResourceAwareExampleTopology.ExclamationBolt`, `ReturnResults`, `RichShellBolt`, `RollingCountAggBolt`, `RollingCountBolt`, `SequenceFileBolt`, `SequenceFileTopology.MyBolt`, `SingleJoinBolt`, `SocketBolt`, `StatefulBoltExecutor`, `StatefulWindowedBoltExecutor`, `TestAggregatesCounter`, `TestEventOrderCheckBolt`, `TestGlobalCount`, `TestPlannerBolt`, `TridentBoltExecutor`, `TupleCaptureBolt`, `WhitelistWordCount.PrintWordTotalCountBolt`, `WindowedBoltExecutor`, `WordCountTopology.SplitSentence`, `WordCountTopologyNode.SplitSentence`

public interface IRichBolt extends IBolt, IComponent
When writing topologies using Java, `IRichBolt` and `IRichSpout` are the main interfaces to use to implement components of the topology.

- ## Method Summary

  ### Methods inherited from interface org.apache.storm.task.IBolt

  `cleanup, execute, prepare`

  ### Methods inherited from interface org.apache.storm.topology.IComponent

  `declareOutputFields, getComponentConfiguration`